OpenVDB 13.0.0

Loading...
Searching...
No Matches
TreeAdapter< const Grid< _TreeType > > Struct Template Reference

Partial specialization for const Grid types. More...

`#include <openvdb/Grid.h>`

## Public Types
using | TreeType = _TreeType
using | NonConstTreeType = typename std::remove_const<TreeType>::type
using | TreePtrType = typename TreeType::Ptr
using | ConstTreePtrType = typename TreeType::ConstPtr
using | NonConstTreePtrType = typename NonConstTreeType::Ptr
using | GridType = Grid<TreeType>
using | NonConstGridType = Grid<NonConstTreeType>
using | GridPtrType = typename GridType::Ptr
using | NonConstGridPtrType = typename NonConstGridType::Ptr
using | ConstGridPtrType = typename GridType::ConstPtr
using | ValueType = typename TreeType::ValueType
using | AccessorType = typename tree::ValueAccessor<TreeType>
using | ConstAccessorType = typename tree::ValueAccessor<const TreeType>
using | NonConstAccessorType = typename tree::ValueAccessor<NonConstTreeType>

## Static Public Member Functions
static NonConstTreeType & | tree (NonConstTreeType &t)
static NonConstTreeType & | tree (NonConstGridType &g)
static const NonConstTreeType & | tree (const NonConstTreeType &t)
static const NonConstTreeType & | tree (const NonConstGridType &g)
static const NonConstTreeType & | constTree (NonConstTreeType &t)
static const NonConstTreeType & | constTree (NonConstGridType &g)
static const NonConstTreeType & | constTree (const NonConstTreeType &t)
static const NonConstTreeType & | constTree (const NonConstGridType &g)

## Detailed Description

template<typename _TreeType>
struct openvdb::v13_0::TreeAdapter< const Grid< _TreeType > >

Partial specialization for const Grid types.

## Member Typedef Documentation

## ◆ AccessorType

template<typename _TreeType>

using AccessorType = typename tree::ValueAccessor<TreeType>

## ◆ ConstAccessorType

template<typename _TreeType>

using ConstAccessorType = typename tree::ValueAccessor<const TreeType>

## ◆ ConstGridPtrType

template<typename _TreeType>

using ConstGridPtrType = typename GridType::ConstPtr

## ◆ ConstTreePtrType

template<typename _TreeType>

using ConstTreePtrType = typename TreeType::ConstPtr

## ◆ GridPtrType

template<typename _TreeType>

using GridPtrType = typename GridType::Ptr

## ◆ GridType

template<typename _TreeType>

using GridType = Grid<TreeType>

## ◆ NonConstAccessorType

template<typename _TreeType>

using NonConstAccessorType = typename tree::ValueAccessor<NonConstTreeType>

## ◆ NonConstGridPtrType

template<typename _TreeType>

using NonConstGridPtrType = typename NonConstGridType::Ptr

## ◆ NonConstGridType

template<typename _TreeType>

using NonConstGridType = Grid<NonConstTreeType>

## ◆ NonConstTreePtrType

template<typename _TreeType>

using NonConstTreePtrType = typename NonConstTreeType::Ptr

## ◆ NonConstTreeType

template<typename _TreeType>

using NonConstTreeType = typename std::remove_const<TreeType>::type

## ◆ TreePtrType

template<typename _TreeType>

using TreePtrType = typename TreeType::Ptr

## ◆ TreeType

template<typename _TreeType>

using TreeType = _TreeType

## ◆ ValueType

template<typename _TreeType>

using ValueType = typename TreeType::ValueType

## Member Function Documentation

## ◆ constTree() [1/4]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | const NonConstGridType & | g | ) |
| inline static

## ◆ constTree() [2/4]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | const NonConstTreeType & | t | ) |
| inline static

## ◆ constTree() [3/4]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | NonConstGridType & | g | ) |
| inline static

## ◆ constTree() [4/4]

template<typename _TreeType>

const NonConstTreeType & constTree | ( | NonConstTreeType & | t | ) |
| inline static

## ◆ tree() [1/4]

template<typename _TreeType>

const NonConstTreeType & tree | ( | const NonConstGridType & | g | ) |
| inline static

## ◆ tree() [2/4]

template<typename _TreeType>

const NonConstTreeType & tree | ( | const NonConstTreeType & | t | ) |
| inline static

## ◆ tree() [3/4]

template<typename _TreeType>

NonConstTreeType & tree | ( | NonConstGridType & | g | ) |
| inline static

## ◆ tree() [4/4]

template<typename _TreeType>

NonConstTreeType & tree | ( | NonConstTreeType & | t | ) |
| inline static